Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1356809

Summary: pocketsphinx ends with error on big files
Product: [Fedora] Fedora Reporter: Michal Ambroz <rebus>
Component: pocketsphinxAssignee: Jerry James <loganjerry>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 25CC: loganjerry, opensource
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-12-12 10:31:42 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
pocketsphinx-largeframes.patch
none
pocketsphinx.spec none

Description Michal Ambroz 2016-07-15 06:00:58 UTC
Created attachment 1180041 [details]
pocketsphinx-largeframes.patch

Description of problem:
When running pocketsphinx on large file it ends with an error:

INFO: ngram_search.c(474): Resized backpointer table to 640000 entries
FATAL_ERROR: "acmod.c", line 409: Decoder can not process more than 32767 frames at once, requested 32768

Version-Release number of selected component (if applicable):
pocketsphinx-0.8-11

How reproducible:
100%

Steps to Reproduce:
1. have pocketsphinx installed and the speech models


1. take a large MP3
FILE=large.mp3

2. extract it to WAV
ffmpeg -i "$FILE" -ar 16000 -ac 1 "${FILE}.wav"

3. try to convert it to text
pocketsphinx_continuous -infile "${FILE}.wav" -hmm en_US/hub4wsj_sc_8k -lm en_US/hub4.5000.DMP 2>&1 1> "${FILE}.txt" | tee "${FILE}.log"

Actual results:
On big WAV file it fails with error:
FATAL_ERROR: "acmod.c", line 409: Decoder can not process more than 32767 frames at once, requested 32768

Expected results:
as patch for large files is already applied, I would it expect to process the input file smoothly

Additional info:
adding proposed patch as proposed in cmusphinx forum
https://sourceforge.net/p/cmusphinx/discussion/help/thread/f609780c/

Comment 1 Michal Ambroz 2016-07-15 06:02:01 UTC
Created attachment 1180042 [details]
pocketsphinx.spec

Comment 2 Jerry James 2016-07-15 15:33:49 UTC
Since upstream has made this change in their subversion repository, it is a reasonable request.  I will have to coordinate with the simon package maintainers, though, as this will change the ABI of pocketsphinx-libs, thus requiring a simon rebuild.

Comment 3 Jan Kurik 2016-07-26 04:36:25 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 4 Till Maas 2016-10-26 22:18:12 UTC
Are there any news from the simon maintainers. This is hurting me as well. I will also help as a provenpackager if needed.

Comment 5 Jerry James 2016-10-27 02:03:49 UTC
Till, I added the requested patch back in July.  The Rawhide and F-25 repositories both contain fixed versions of pocketsphinx.  Do you need this for F-23 or F-24 as well?  Or are you still seeing a problem even with the patch applied?

Comment 6 Till Maas 2016-10-27 07:38:34 UTC
Thank you Jerry, I tested it on Rawhide and it seems to work there. I just wanted to test something with this, therefore I do not need a F24 update.

Comment 7 Michal Ambroz 2016-11-01 22:13:14 UTC
Issue still persists in the stable F24.
If update is possible for F24 it would be great.

Comment 8 Fedora End Of Life 2017-11-16 19:01:17 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2017-12-12 10:31:42 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.